Subject: Question about oprofile

From: "Ilya Lipovsky" <[email-masked]>
Date: Tue, 20 Mar 2007 14:47:32 -0400

Hi,

I am trying to understand how oprofile works, and so far I have a question:

When rfi'ing back into user context the PMM is cleared. However, if PMM is
cleared and then a context switch happens (say, to another CPU-local thread)
the counters keep getting incremented. Is that right?

If this is the case, then the PMC statistics account not just for the
current user thread, but also for other ones as well and thus are not
"pure."

Thanks in advance for your help.

-Ilya